# Enum OpenSSLStatus.Name

java.lang.Object
java.lang.Enum<OpenSSLStatus.Name>
org.apache.tomcat.util.net.openssl.OpenSSLStatus.Name

All Implemented Interfaces:
  `Serializable, Comparable<OpenSSLStatus.Name>, java.lang.constant.Constable`

Enclosing class:
  `OpenSSLStatus`

public static enum OpenSSLStatus.Name extends Enum<OpenSSLStatus.Name>
OpenSSL library variant that has been identified.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BORINGSSL`
BoringSSL.
`LIBRESSL`
LibreSSL.
`OPENSSL`
OpenSSL.
`OPENSSL3`
OpenSSL 3.x.
`UNKNOWN`
Unknown variant.

## Method Summary

Modifier and Type
Method
Description
`static OpenSSLStatus.Name`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static OpenSSLStatus.Name[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OPENSSL

public static final OpenSSLStatus.Name OPENSSL
OpenSSL.

### OPENSSL3

public static final OpenSSLStatus.Name OPENSSL3
OpenSSL 3.x.

### LIBRESSL

public static final OpenSSLStatus.Name LIBRESSL
LibreSSL.

### BORINGSSL

public static final OpenSSLStatus.Name BORINGSSL
BoringSSL.

### UNKNOWN

public static final OpenSSLStatus.Name UNKNOWN
Unknown variant.

## Method Details

### values

public static OpenSSLStatus.Name[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static OpenSSLStatus.Name valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null